Межсайтовый скриптинг в Drupal Ajax Session Module

Дата публикации:
02.06.2009
Дата изменения:
02.06.2009
Всего просмотров:
2713
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Ajax Session Module 5.x
Уязвимые версии: Drupal Ajax Session Module 5.x-1.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение.

URL производителя: drupalmodules.com/module/ajax-session

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://drupal.org/node/474452

или введите имя

CAPTCHA